gslpoly_lib = static_library('gslpoly',
	[
		'dd.c',
		'eval.c',
		'solve_quadratic.c',
		'solve_cubic.c',
		'zsolve_quadratic.c',
		'zsolve_cubic.c',
		'zsolve.c',
		'zsolve_init.c',
		'deriv.c'
	],
	include_directories : '..'
)
gslpoly_dep = declare_dependency(link_with : gslpoly_lib)


gsl_tests += [ [ 'GSL Polynomials Test', files('test.c') ] ]
